﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

///
///文本分类特征数据生成源代码，版权所有 2016 张磊
///有关于此程序代码的详细说明，
///参见 http://www.qiantec.cn/post/wb1
///
namespace PreData
{
    public class ZMinMax
    {
        public ZMinMax()
        {
            fmin = float.MaxValue;
            fmax = float.MinValue;
        }
        public ZMinMax(float _fmin, float _fmax)
        {
            fmin = _fmin;
            fmax = _fmax;
        }
        public float fmin;
        public float fmax;
   

        public bool SetMinMax(float val)
        {
            var pmin = fmin;
            var pmax = fmax;
            fmin = Math.Min(fmin, val);
            fmax = Math.Max(fmax, val);
            return fmin != pmin || fmax != pmax;
        }   
    }
}
